/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.wso2.utils.ServerConfiguration;
import org.wso2.utils.ServerConfigurationException;

/*
 * Loads the service bus configuration from the config file server.xml
 */

public class ServiceBusConfiguration {

    private static Log log = LogFactory.getLog(ServiceBusConfiguration.class);

    private static ServiceBusConfiguration configuration = null;

    public static String configurationXMLLocation = "conf/server.xml";

    private final static ServerConfiguration serverConfiguration = ServerConfiguration.getInstance();

    private ServiceBusConfiguration() {

    }

    public static ServiceBusConfiguration getServiceBusInstance() {
        if (configuration == null) {
            // intializing the configurationXMLLocation
            configuration = new ServiceBusConfiguration();
            try {
                serverConfiguration.init(configurationXMLLocation);
            } catch (ServerConfigurationException e) {
                log.error(e);
            }
            log.info("Service Bus Configuration loaded from : " + configurationXMLLocation);
        }
        return configuration;
    }

    public String getFirstProperty(String key) {
        return serverConfiguration.getFirstProperty(key);
    }
}
