/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb.modules.authentication.handler;

import org.apache.axis2.AxisFault;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.context.OperationContext;
import org.apache.axis2.context.ServiceContext;
import org.apache.axis2.handlers.AbstractHandler;
import org.wso2.esb.services.AbstractESBAdmin;
/*
 * This will Authenticate admin services requests
 */
public class AuthenticationHandler extends AbstractHandler {

    private static final String LOGIN_ADMIN  = "LoginAdmin";
    private static final String LOGIN_METHOD = "login";

    public InvocationResponse invoke(MessageContext msgContext) throws AxisFault {

        OperationContext opCtx    = msgContext.getOperationContext();
        ServiceContext serviceCtx = opCtx.getServiceContext();

        if (serviceCtx.getAxisService().getName().equals(LOGIN_ADMIN) &&
            opCtx.getAxisOperation().getName().getLocalPart().equals(LOGIN_METHOD)) {
            return InvocationResponse.CONTINUE;
        }

        String status = (String) serviceCtx.getServiceGroupContext()
            .getProperty(AbstractESBAdmin.LOGGED);

        if (!"true".equals(status)) {
            throw new AxisFault("Access Denied. Please login first.");
        }

        return InvocationResponse.CONTINUE;
    }
}
