/*
* Copyright 2004,2005 The Apache Software Foundation.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
package org.wso2.esb.persistence.dao;

import org.wso2.esb.persistence.dataobject.StatisticsDO;
import org.wso2.esb.util.HibernateConfig;

import java.util.List;


/**
 *
 *
 */

public class StatisticsDAO extends BaseDAO {

    public StatisticsDAO(HibernateConfig hbConfig) {
        super(hbConfig);
    }

    /**
     * Add a Statistics Record
     *
     * @param statisticsDO
     */
    public void addStatisticsRecord(StatisticsDO statisticsDO) {
        create(statisticsDO);
    }

    /**
     * Delete a Statistics Record
     *
     * @param statisticsDO
     */
    public void deleteStatisticsRecord(StatisticsDO statisticsDO) {
        delete(statisticsDO);
    }

    /**
     * Update a Statistics Record
     *
     * @param statisticsDO
     */
    public void updateStatisticsRecord(StatisticsDO statisticsDO) {
        update(statisticsDO);
    }

    public int clearAll(String hqlQuery){
       return execute(hqlQuery);
    }
    /**
     * To Retrieves Statistics Records
     *
     * @param hqlQuery
     * @return Statistics Records
     */
    public StatisticsDO[] selectStatisticsRecords(String hqlQuery) {
        List list = select(hqlQuery);
        StatisticsDO[] statisticsDOs = new StatisticsDO[list.size()];
        if (!list.isEmpty()) {
            list.toArray(statisticsDOs);
        }
        return statisticsDOs;
    }

    /**
     * To Retrieves Statistics Records using SQL
     *
     * @param sqlQuery
     * @param aClass
     * @return Statistics Records
     */
    public StatisticsDO[] selectStatisticsRecordsBySQL(String sqlQuery, Class aClass) {
        List list = selectBySQL(sqlQuery, aClass);
        StatisticsDO[] statisticsDOs = new StatisticsDO[list.size()];
        if (!list.isEmpty()) {
            list.toArray(statisticsDOs);
        }
        return statisticsDOs;
    }

    /**
     * To create a new Object using statistics records
     *
     * @param hqlQuery
     * @return A result as object
     */
    public Object createAnewObject(String hqlQuery) {
        return selectUnique(hqlQuery);
    }


    public List selectCustomObjectList(String hqlQuery) {
           return select(hqlQuery);
    }
}
