/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb.security.util;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.security.KeyStore;
import java.security.cert.Certificate;
/*
 * 
 */

public class ImportKey {
    /**
     * sourcekeystore sourceStorepass keyalias targetstore targetStorePass
     *
     * @param args
     */
    public static void main(String[] args) throws Exception {
        System.out.println("About to import key...");
        if (args.length != 5) {
            throw new Exception("Incorrect number of parameters");
        }

        try {
            String sourceStorePath = args[0];
            String sourceStorePass = args[1];
            String keyAlias = args[2];
            String targetStorePath = args[3];
            String targetStorePass = args[4];

            KeyStore sourceStore = KeyStore.getInstance("JKS");
            FileInputStream fis = new FileInputStream(sourceStorePath);
            sourceStore.load(fis, sourceStorePass
                    .toCharArray());

            Certificate cert = sourceStore.getCertificateChain(keyAlias)[0];
            KeyStore targetStore = KeyStore.getInstance("JKS");

            targetStore.load(null, null);
            targetStore.setCertificateEntry(keyAlias, cert);
            FileOutputStream fileOutputStream = new FileOutputStream(
                    targetStorePath);
            targetStore.store(fileOutputStream, targetStorePass.toCharArray());

            fis.close();
            fileOutputStream.flush();
            fileOutputStream.close();
        } catch (Exception e) {
            e.printStackTrace();
            System.err.println("Importing of key failed");
            throw e;
        }
    }
}
