/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb.services;

import org.apache.axis2.AxisFault;
import org.apache.axis2.context.MessageContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.wso2.esb.ServiceBusManager;

/*
 * This is a POJO for login admin service
 */

public class LoginAdmin extends AbstractESBAdmin {

    private static final Log log = LogFactory.getLog(LoginAdmin.class);

    public boolean login(String username, String password) throws AxisFault {

        log.debug("Atempting login for user : " + username);
        if ((username == null) || (password == null) ||
                username.trim().equals("") || password.trim().equals("")) {
            MessageContext.getCurrentMessageContext().getServiceGroupContext()
                    .setProperty(LOGGED, "false");

            return false;
        }
        // temprary lets allow everyone to acess FixMe Via server.xml or via Database

        ServiceBusManager manager = new ServiceBusManager();
        boolean logged = manager.authenticate(username, password);

        if (logged) {
            MessageContext.getCurrentMessageContext().getServiceGroupContext()
                    .setProperty(LOGGED, "true");
            log.info("User : " + username + " logged into the system");
            return true;
        } else {
            MessageContext.getCurrentMessageContext().getServiceGroupContext()
                    .setProperty(LOGGED, "false");
            log.info("User : " + username + " was denied access into the system");
            return false;
        }

    }

    public void logout() throws AxisFault {
        MessageContext.getCurrentMessageContext().getServiceGroupContext()
                .setProperty(LOGGED, "false");
        log.info("User logged out of the system");
    }

    /*
    TODO set the registration of the WSO2 ESB properly
    TODO we need a registry or database to hold this. 
    */


    public boolean isServerRegistered() throws AxisFault {
        return true;
    }

}
