/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb.services;

import org.apache.axis2.AxisFault;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.synapse.Mediator;
import org.apache.synapse.config.xml.MediatorFactoryFinder;
import org.apache.synapse.mediators.ListMediator;

import javax.xml.namespace.QName;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
/*
 * This is a POJO for the Mediator admin service
 */

public class MediatorAdmin extends AbstractESBAdmin {

    private Log log = LogFactory.getLog(MediatorAdmin.class);

    public String[] showMediators() throws AxisFault {

        Mediator mainMediator = getSynapseConfiguration().getMainSequence();

        List mediatorList = ((ListMediator) mainMediator).getList();
        return parseList(mediatorList);

    }

    private String[] parseList(List list) {
        ArrayList topLevelMediatorList = new ArrayList();
        for (Iterator ite = list.iterator(); ite.hasNext();) {
            Object obj = ite.next();

            if (obj instanceof Mediator) {
                //output
                topLevelMediatorList.add(((Mediator) obj).getType());

            }
        }
        return (String[]) topLevelMediatorList
                .toArray(new String[topLevelMediatorList.size()]);
    }

    public String[] getAllMediators() throws AxisFault {
        MediatorFactoryFinder finder = MediatorFactoryFinder.getInstance();

        Map factoryMap = finder.getFactoryMap();

        QName tagNames[] = (QName[]) factoryMap.keySet()
                .toArray(new QName[factoryMap.size()]);
        ArrayList mediatorNames = new ArrayList();
        for (int i = 0; i < tagNames.length; i++) {
            mediatorNames.add(tagNames[i].getLocalPart());
        }

        return (String[]) mediatorNames
                .toArray(new String[mediatorNames.size()]);
    }
}
