package org.wso2.esb.util;

import org.wso2.utils.ServerException;

import java.util.Map;
import java.util.HashMap;

public class XmlConfigurationFactory {
    private static Map configurations = new HashMap();

    public static void init(String configKey, String configFile) throws ServerException {
        init(configKey, configFile, null);
    }

    public static void init(String configKey,
                            String configFile,
                            String serverNamespace) throws ServerException {
        if (serverNamespace != null) {
            configurations.put(configKey, new XmlConfiguration(configFile,serverNamespace));
        } else {
            configurations.put(configKey, new XmlConfiguration(configFile));
        }
    }

    public static XmlConfiguration getXmlConfiguration(String configKey) {
        XmlConfiguration config = null;
        Object obj = configurations.get(configKey);
        if (obj != null) {
            config = (XmlConfiguration) obj;
        }
        return config;
    }
}
