/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var browsername = navigator.appName;

var REGISTRY_MANAGEMENT = "RegistryAdmin";
var REGISTRY_DIV = "divRegistry";

var REGISTRY_BROWSER_DIV = "regBrowser";
var REGISTRY_TREE_DIV = "regKeys";
var REGISTRY_DATA_DIV = "regKeyData";

var NEW_FOLDER_UTIL = "1";
var NEW_FILE_UTIL = "2";
var EDIT_FILE_UTIL = "3";
var utilPanel = "1";

var newFolderPath; // used to get new folder's path from the new folder callback
var newFilePath; // used to get new file's path from the new file callback
var editFilePath; // used to get edited file's path from the edit file callback
var tempEntry;

var defaultRegTitle = "<h4><font style='color: orange'> Manage Registry </font>"
        + "<img src='extensions/core/images/help.gif' alt='' "
        + "onmouseover='showHelp(event, \"registryManagementHelpDiv\")'"
        + "onmouseout='hideHelp(event,\"registryManagementHelpDiv\")'/>"
        + "</h4><div id='registryManagementHelpDiv' class='helptip'></div><br/>";
var newRegFileTitle = "<h4><a href='#' onClick='javascript:resetRegistryPanel(); return false;'>Manage Registry</a>&#160;&gt;&#160;<font style='color: orange'>New Registry File</font></h4><br/>";
var editRegFileTitle = "<h4><a href='#' onClick='javascript:resetRegistryPanel(); return false;'>Manage Registry</a>&#160;&gt;&#160;<font style='color: orange'>Edit Registry File</font></h4><br/>";

var regTree = null;

function showESBRegistry() {
    var body_xml = '<ns1:getDefaultRegistryName xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getDefaultRegistryName>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "getDefaultRegistryName";

    send("getDefaultRegistryName", body_xml, "", callURL, "", false, showESBRegistryCallback);

}

function showESBRegistryCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    var registryNameTag = body.getElementsByTagName("return")[0];

    var registryName;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        registryName = registryNameTag.textContent;
    } else {
        registryName = registryNameTag.text;
    }

    if (registryName == "ESB Registry") {
        showESBRegistryWindow();
    } else if (registryName == "Registry is not defined") {
        var regDiv = document.getElementById(REGISTRY_DIV);
        regDiv.innerHTML = "<p>Registry is not defined in the configuration.</p>";
        showOnlyOneMain(regDiv, false);
    } else {
        var regDiv = document.getElementById(REGISTRY_DIV);
        regDiv.innerHTML = "<p>Management console does not support the specified registry.</p>";
        showOnlyOneMain(regDiv, false);
    }
}

function showESBRegistryWindow() {

    var regDiv = document.getElementById(REGISTRY_DIV);

    var regUtilsDivContent =    "<div style='padding-left:10px; padding-top:10px;'><input type='button' id='newFileButton' value='New' onClick='javascript:displayNewFilePanel();return false;' class='panelbutton_default' style='margin-right:50px' />" +
                                "<input type='button' id='editFileButton' value='Edit' onClick='javascript:displayEditFilePanel();return false;' class='panelbutton_default' style='margin-right:50px' /> " +
                                "<input type='button' id='deleteResourceButton' value='Remove' onClick='javascript:removeResource();return false;' class='panelbutton_cancel' /><br />" +
                                "<br /><lable>Folder name: </lable><input type='text' id='regNewFolderName' size='30' class='esb-edit'/> " +
                                "<input type='button' id='addFolderButton' value='Add' onClick='javascript:addRegistryFolder();return false;' class='panelbutton_finish' /></div>";

    var editFileDivContent = "<textarea cols='100' rows='22' id='regEditFileContents'></textarea><br /><br />" +
                             "<input type='button' value='Save' onClick='javascript:editRegistryFile();return false;' class='panelbutton_finish' style='margin-right:50px' /> " +
                             "<input type='button' value='Cancel' onClick='javascript:cancelEditRegistryFile();return false;' class='panelbutton_cancel'/>";

    var newFileDivContent = "<div id='newFilePanelDiv' style='display:block'>" +
                            "<label>File name: </label><input id='regNewFileName' type='text' size='30' class='esb-edit'/><br /><br />" +
                            "<textarea id='regFileContent' cols='100' rows='20'></textarea><br /><br />" +
                            "<input type='button' value='Create' onClick='javascript:addRegistryFile();return false;' class='panelbutton_finish' style='margin-right:50px' /> " +
                            "<input type='button' value='Cancel' onClick='javascript:cancelAddRegistryFile();return false;' class='panelbutton_cancel'/></div>";

    //"<label>Upload file: </label><input type='file' value='Upload file' onClick='javascript:uploadRegistryFile();return false;' /> ";

    var structure = "<div id='regBrowser' style='display:block;position:relative;left:210px;_margin-left:0px;margin-left:-210px;'><div id='regTitleDiv'>" + defaultRegTitle + "</div>";
    structure += "<div id='defaultReg'><div id='regKeys'></div><div id='regKeyData' style='padding-left:15px;padding-top:10px;'>Select a registry entry to view details.</div>";
    structure += "<div id='regUtils'>" + regUtilsDivContent + "</div></div>";

    // add new file div
    structure += "<div id='newFileDiv' style='display:none'>" + newFileDivContent + "</div>";

    // add edit file div
    structure += "<div id='editFileDiv' style='display:none'>" + editFileDivContent + "</div></div>";

    regDiv.innerHTML = structure;
    showOnlyOneMain(regDiv, false);

    showMainRegistryPanel('regKeys', regFolderSelectCallback, "");
}

function resetRegistryPanel() {
    regTree.reset();
    displayDefaultRegPanel();
    var dataPanel = document.getElementById("regKeyData");
    dataPanel.innerHTML = "Select a registry entry to view details.";
}

function resetRegistryDisplay() {
    displayDefaultRegPanel();
    var dataPanel = document.getElementById("regKeyData");
    dataPanel.innerHTML = "Select a registry entry to view details.";    
}

function displayDefaultRegPanel() {

    var defaultReg = document.getElementById("defaultReg");
    defaultReg.style.display = "block";

    var editFileDiv = document.getElementById("editFileDiv");
    editFileDiv.style.display = "none";

    var newFileDiv = document.getElementById("newFileDiv");
    newFileDiv.style.display = "none";

    var regTitle = document.getElementById("regTitleDiv");
    regTitle.innerHTML = defaultRegTitle;
}

function displayNewFilePanel() {

    // display the new file panel

    document.getElementById("regNewFileName").value = "";
    document.getElementById("regFileContent").value = "";

    var defaultReg = document.getElementById("defaultReg");
    defaultReg.style.display = "none";

    var editFileDiv = document.getElementById("editFileDiv");
    editFileDiv.style.display = "none";

    var newFileDiv = document.getElementById("newFileDiv");
    newFileDiv.style.display = "block";

    var regTitle = document.getElementById("regTitleDiv");
    regTitle.innerHTML = newRegFileTitle;
}

function displayEditFilePanel() {

    // display the new file panel

    var defaultReg = document.getElementById("defaultReg");
    defaultReg.style.display = "none";

    var editFileDiv = document.getElementById("editFileDiv");
    editFileDiv.style.display = "block";

    var newFileDiv = document.getElementById("newFileDiv");
    newFileDiv.style.display = "none";

    var selectedKey = regTree.getSelected();
    loadRegistryFile(selectedKey);

    var regTitle = document.getElementById("regTitleDiv");
    regTitle.innerHTML = editRegFileTitle;
}

function removeResource() {
    var resource = regTree.getSelected();
    if (resource != null) {
        var body_xml = '<ns1:deleteRegistryResource xmlns:ns1="http://org.apache.synapse/xsd">' +
                       '<resource>' + resource + '</resource>' +
                       '</ns1:deleteRegistryResource>';

        var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "deleteRegistryResource";

        send("deleteRegistryResource", body_xml, "", callURL, "", false, regRemoveResourceCallback);
    }
}

function regRemoveResourceCallback() {
    if (!onError()) {
        return;
    }

    resetRegistryPanel();
}

function addRegistryFolder() {

    var newFolderName = document.getElementById("regNewFolderName").value;
    if (newFolderName == "") {
        esbwarning("Please enter a folder name", TYPE_INFO);
        return;
    }

    if (!validateFileName(newFolderName)) {
        return;
    }

    newFolderPath = newFolderName;
    var parentFolder = "";
    if (regTree.getSelected() != null) {
        parentFolder = regTree.getSelected();
        if (parentFolder != "") {
            newFolderPath = parentFolder + "/" + newFolderName;
        }
    }

    var body_xml = '<ns1:createFolder xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<folder>' +
                   '<parent>' + parentFolder + '</parent>' +
                   '<folderName>' + newFolderName + '</folderName>' +
                   '</folder>' +
                   '</ns1:createFolder>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "createFolder";

    send("createFolder", body_xml, "", callURL, "", false, regCreateFolderCallback);
}

function regCreateFolderCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    if (body != null) {
        document.getElementById("regNewFolderName").value = "";
        resetRegistryDisplay();
        regTree.fillAndExpand(newFolderPath);
    }
}

function cancelAddRegistryFile() {
    resetRegistryPanel();
}

function validateFileName(filename) {

    if (filename.indexOf('/') != -1) {
        esbwarning("/ character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('\\') != -1) {
        esbwarning("\\ character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('*') != -1) {
        esbwarning("* character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf(':') != -1) {
        esbwarning(": character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('>') != -1) {
        esbwarning("> character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('<') != -1) {
        esbwarning("< character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('"') != -1) {
        esbwarning("\" character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('|') != -1) {
        esbwarning("| character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('?') != -1) {
        esbwarning("? character is not allowed for file names", TYPE_WARN);
        return false;
    }

    if (filename.indexOf('$') != -1) {
        esbwarning("$ character is not allowed for file names", TYPE_WARN);
        return false;
    }

    return true;
}

function addRegistryFile() {

    var newFileName = document.getElementById("regNewFileName").value;
    if (newFileName == "") {
        esbwarning("Please enter a file name", TYPE_INFO);
        return;
    }

    if (!validateFileName(newFileName)) {
        return;
    }

    var fileContent = document.getElementById("regFileContent").value;
    var contentPart = "";
    if (fileContent != null & fileContent != "") {
        contentPart = "<content>" + fileContent + "</content>";
    }

    newFilePath = newFileName;
    var parentFolder = "";
    if (regTree.getSelected() != null) {
        parentFolder = regTree.getSelected();
        if (parentFolder != "") {
            newFilePath = parentFolder + "/" + newFileName;
        }
    }

    var body_xml = '<ns1:createFile xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<file>' +
                   '<parent>' + parentFolder + '</parent>' +
                   '<fileName>' + newFileName + '</fileName>' +
                   contentPart +
                   '</file>' +
                   '</ns1:createFile>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "createFile";

    send("createFile", body_xml, "", callURL, "", false, regCreateFileCallback);
}

function regCreateFileCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    if (body != null) {
        var exception;
        exception = xhReq.responseXML.getElementsByTagName("Exception")[0];
        if (exception != null) {
            esbwarning("Couldn't create the registry resource: Please verify that the content of the resource is valid XML", TYPE_ERROR);
            return;
        }
        
        resetRegistryDisplay();
        regTree.fillAndExpand(newFilePath);
    }
}

function loadRegistryFile(key) {

    editFilePath = key;

    var body_xml = '<ns1:getRegistryEntryValue xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<regKey>' + key + '</regKey>' +
                   '</ns1:getRegistryEntryValue>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "getRegistryEntryValue";

    send("getRegistryEntryValue", body_xml, "", callURL, "", false, regLoadRegistryFileCallback);
}

function regLoadRegistryFileCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    var fileContents;

    var errMsg = getNodeFromPath("error", body);
    if (errMsg != null) {
        if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
            fileContents = errMsg.textContent;
        } else {
            fileContents = errMsg.text;
        }
    } else {
        var valueContent = body.getElementsByTagName("value")[0];
        if (valueContent != null) {
            var a
            if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                a  = new XMLSerializer().serializeToString(valueContent);
            } else {
                a = valueContent.xml;
            }
            fileContents = a.substring(7, a.length-8)
        }
    }

    var editor = document.getElementById("regEditFileContents");
    editor.value = fileContents;
}

function cancelEditRegistryFile() {
    resetRegistryPanel();
}

function editRegistryFile() {

    var fileContent = document.getElementById("regEditFileContents").value;

    var body_xml = '<ns1:updateRegistryEntryValue xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<regEntry>' +
                   '<key>'+ regTree.getSelected() +'</key>' +
                   '<value>' + fileContent + '</value>' +
                   '</regEntry>' +
                   '</ns1:updateRegistryEntryValue>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "updateRegistryEntryValue";

    send("updateRegistryEntryValue", body_xml, "", callURL, "", false, editRegistryFileCallback);

}

function editRegistryFileCallback() {
    if(!onError()) {
        return;
    }

    resetRegistryDisplay();
    regTree.fillAndExpand(editFilePath);
}

function showMainRegistryPanel(divName, selectHandlerParam, selectedValue) {

    regTree = new root(divName, "reg root");
    regTree.registerFolderSelectHandler(selectHandlerParam);

    // show in the collapsed state
    regTree.show(selectedValue);
}

function regFolderSelectCallback(entry) {

    if (!onError()) {
        return;
    }

    var regEntry = regTree.getFolder(entry);

    var newFileButton = document.getElementById("newFileButton");
    var editFileButton = document.getElementById("editFileButton");
    var addFolderButton = document.getElementById("addFolderButton");

    if (regEntry.getType() == "folder") {
        newFileButton.disabled = false;
        newFileButton.className = "panelbutton_default";

        editFileButton.disabled = true;
        editFileButton.className = "panelbutton_disabled";

        addFolderButton.disabled = false;
        addFolderButton.className = "panelbutton_finish";
    } else {
        newFileButton.disabled = true;
        newFileButton.className = "panelbutton_disabled";

        editFileButton.disabled = false;
        editFileButton.className = "panelbutton_default";

        addFolderButton.disabled = true;
        addFolderButton.className = "panelbutton_disabled";
    }

    var body_xml = '<ns1:getRegistryEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<regKey>' + entry + '</regKey>' +
                   '</ns1:getRegistryEntry>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "getRegistryEntry";

    send("getRegistryEntry", body_xml, "", callURL, "", false, regGetRegistryEntryCallback);
}

function regGetRegistryEntryCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    var keyValue;

    // contruct a text to show in data area
    var data;

    var fault = getNodeFromPath("Fault", body);
    if (fault != null) {
        data = "Error occured while accessing registry data.<br />";
    } else {
        var msg = getNodeFromPath("message", body);
        if (msg != null) {
            if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                data = msg.textContent;
            } else {
                data = msg.text;
            }
        } else {
            var regKey = getNodeFromPath("key", body);
            if (regKey != null) {

                if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                    keyValue = regKey.textContent;
                } else {
                    keyValue = regKey.text;
                }

                data = "Key<br/>";
                data += "<input type='text' readOnly='true' id='regKey' size='30' value='" + keyValue + "' class='esb-edit'/><br /><br />";
            }

            var exTime = getNodeFromPath("expiryTime", body);
            if (exTime != null) {
                var exTimeValue;
                if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                    exTimeValue = exTime.textContent;
                } else {
                    exTimeValue = exTime.text;
                }
                data += "Cachable duration (seconds)<br/>";
                data += "<input type='text' id='regExTime' size='30' value='" + exTimeValue + "' class='esb-edit'/><br /><br />";
            }

            data += "<div><input type='button' value='Update' onClick='javascript:updateRegistryData();return false;' class='panelbutton_finish'/></div>";
        }
    }

    var regDataElement = document.getElementById(REGISTRY_DATA_DIV);
    regDataElement.innerHTML = data;
}

function updateRegistryData() {

    var regKey = document.getElementById('regKey').value;
    var regExTime = document.getElementById('regExTime').value;

    if (!isNaN(regExTime)) {

        // set the integer value of entered number in the input field.
        document.getElementById('regExTime').value = parseInt(regExTime);

        var body_xml = '<ns1:updateRegistryEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                       '<regEntry>' +
                       '<key>' + regKey + '</key>' +
                       '<expiryTime>' + parseInt(regExTime) + '</expiryTime>' +
                       '</regEntry>' +
                       '</ns1:updateRegistryEntry>';

        var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "updateRegistryEntry";

        send("updateRegistryEntry", body_xml, "", callURL, "", false, regUpdateRegistryEntryCallback);

    } else {
        esbwarning("Cachable duration (Seconds) should be a valid number", TYPE_WARN);
    }
}

function regUpdateRegistryEntryCallback() {

    if (!onError()) {
        return;
    }
}

var globalRegKeyDiv;
var globalRegDataDiv;
var globalSelectedEntry;
var globalRegKeyHolder;

function showRegistryPanel(regKeyDiv, regDataDiv, selectedEntry, regKeyHolder) {

    globalRegKeyDiv = regKeyDiv;
    globalRegDataDiv = regDataDiv;
    globalSelectedEntry = selectedEntry;
    globalRegKeyHolder = regKeyHolder;

    var body_xml = '<ns1:getDefaultRegistryName xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getDefaultRegistryName>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "getDefaultRegistryName";

    send("getDefaultRegistryName", body_xml, "", callURL, "", false, showPropertyRegistryCallback);
}

function showPropertyRegistryCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    var registryNameTag = body.getElementsByTagName("return")[0];

    var registryName;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        registryName = registryNameTag.textContent;
    } else {
        registryName = registryNameTag.text;
    }

    if (registryName == "ESB Registry") {
        showESBRegistryPanel(globalRegKeyDiv, regPropertyFolderSelectHandler, globalSelectedEntry);
    } else {
        var normalRegDiv = document.getElementById(globalRegKeyDiv);
        normalRegDiv.innerHTML = "<label style='width: 200px; text-align: left'><strong style='color: black'>Property Key<font color='red'>*</font></strong></label><input id='properyKey' type='text' size='30' />";
    }
}

/**
 This is the only function exposed to the rest of the application. Whenever some part wants to
 get a registry key input from the user it call this. This function will interact with the user
 and assign the selected key to a element named propertyKey. So that the caller can get the value
 using document.getElementById('propertyKey').value.

 @param divName Name of the html div element to be used for displaying registry panel
 @param selectedValue Currently selected registry key, if available. If no keys are selected
 supply null.
 */
function showESBRegistryPanel(divName, selectHandlerParam, selectedValue) {

    // there is only one filetree for the entire application. so we can avoid repeated population
    // of folders
    filetree = new root(divName, divName);
    filetree.registerFolderSelectHandler(selectHandlerParam);

    // show in the collapsed state
    filetree.show("");
    if (selectedValue != "") {
        filetree.fillAndExpand(selectedValue);
    }
}

function regPropertyFolderSelectHandler(folder) {

    var objProperyKey = document.getElementById(globalRegKeyHolder);
    objProperyKey.value = folder;

    var body_xml = '<ns1:getRegistryEntry xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<regKey>' + folder + '</regKey>' +
                   '</ns1:getRegistryEntry>';

    var callURL = serverURL + "/" + "RegistryAdmin" + "/" + "getRegistryEntry";

    send("getRegistryEntry", body_xml, "", callURL, "", false, getRegistryEntryCallback);
}

function getRegistryEntryCallback() {

    if (!onError()) {
        return;
    }

    var body;
    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        body = xhReq.responseXML.getElementsByTagName("Body")[0];
    } else {
        body = xhReq.responseXML.getElementsByTagName("soapenv:Body")[0];
    }

    // contruct a text to show in data area
    var data;

    var fault = getNodeFromPath("Fault", body);
    if (fault != null) {
        data = "Error occured while accessing registry data.<br />";
    } else {
        var msg = getNodeFromPath("message", body);
        if (msg != null) {
            if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                data = msg.textContent;
            } else {
                data = msg.text;
            }
        } else {
            var regKey = getNodeFromPath("key", body);
            if (regKey != null) {
                var regKeyValue;
                if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                    regKeyValue = regKey.textContent;
                } else {
                    regKeyValue = regKey.text;
                }
                data = "Key: " + regKeyValue;
            }

            var exTime = getNodeFromPath("expiryTime", body);
            if (exTime != null) {
                var exTimeValue;
                if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
                    exTimeValue = exTime.textContent;
                } else {
                    exTimeValue = exTime.text;
                }
                data += "<br />Expiry time: " + exTimeValue;
            }
        }
    }

    //var objProperyKey = document.getElementById("propertyKey");
    //objProperyKey.value = data;    

    var regDataElement = document.getElementById(globalRegDataDiv);
    regDataElement.innerHTML = data;
}
