/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the RMSequence mediator specific UI operations
 */

collectdata["RMSequence"] = function collectlogdata(mediator) {

    var messageTypeElements = document.getElementsByName("messageType");
    if(messageTypeElements[0].checked == true){
        mediator.removeAttribute("correlation");
        mediator.removeAttribute("last-message");
        mediator.setAttribute("single","true");
    }else{
        var corXpath = document.getElementById("correlation").value;
        var lmXpath = document.getElementById("last-message").value;
        mediator.removeAttribute("single");
        if(corXpath != ""){
            mediator.setAttribute("correlation",corXpath);
        } else {
            esbwarning("Sequence XPath is required", TYPE_INFO);
            return false;
        }

        mediator.setAttribute("last-message",lmXpath);
    }

    var versionElements = document.getElementsByName("version");
    if(versionElements[1].checked == true){
        mediator.setAttribute("version","1.1");
    }else{
        mediator.setAttribute("version","1.0");
    }
    return true;
};

function showCorrelationPanel() {
    document.getElementById("correlationPanel").style.display = "block";
}

function hideCorrelationPanel() {
    document.getElementById("correlationPanel").style.display = "none";    
}