/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the log mediator specific UI operations
 */

collectdata["spring"] = function collectlogdata(mediator) {
    var cp = mediator.getAttribute("esb_med_pos");
    var bean = document.getElementById("spring_bean");
    if (bean != null && bean.value != null && bean.value != "") {
        var key = document.getElementById(("spring_key" + cp).toString());
        if (key != null && key.value != null && key.value != "") {
            mediator.setAttribute("bean", bean.value);
            mediator.setAttribute("key", key.value);
        } else {
            esbwarning("The Spring configuration registry key must be specified", TYPE_INFO);
            return false;
        }
    } else {
        esbwarning("The Spring bean must be specified", TYPE_INFO);
        return false;
    }
    return true;
};

function springpolicykeyfromregistry(index) {
    var panelId = ("mypanel" + index).toString();
    registrybrowser("savespringpolicykeyfromregistry", "dicardregistrybrowser", index, 1, panelId);
}
function savespringpolicykeyfromregistry(index) {
    var regKey = getRegistryKey()
    var divcontrol = document.getElementById("registryPanel");
    divcontrol.innerHTML = "";
    if (regKey != null && regKey != undefined) {
        var id = "spring_key" + index;
        var policyref = document.getElementById(id.toString());
        if (policyref != undefined && policyref != null) {
            policyref.value = regKey;
        }
    }
}
mediatorelementstring["spring"] = function springstring() {
    return "<spring:spring xmlns:spring='http://ws.apache.org/ns/synapse/spring'/>";
};