<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="mediator_view.xsl"/>
    <xsl:template match="syn:filter" xmlns:syn="http://ws.apache.org/ns/synapse">
        <div id="filter_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/filter-mediator.gif"/>
                <xsl:text>Filter Mediator</xsl:text>
            </label>
            <br/>
            <br/>
            <div id="filter_edit" class="end-point-div">
                <br/>
                <br/>
                <table>
                    <tr>
                        <td>Specify As</td>
                        <td>
                            <input id="xpath" name="type" type="radio" >
                                <xsl:if test=" @set_xpath=1">
                                    <xsl:attribute name="checked">
                                        true
                                    </xsl:attribute>
                                 </xsl:if>
                                    <xsl:attribute name="onClick">
                                        javascript:setxpath('<xsl:value-of select="@esb_med_pos"/>');
                                    </xsl:attribute>
                            </input>
                             XPath
                        </td>
                        <td>
                            <input id="xpathRex" name="type" type="radio">
                                <xsl:if test="not(@set_xpath) or @set_xpath=0">
                                    <xsl:attribute name="checked">
                                        true
                                    </xsl:attribute>
                                </xsl:if>
                                    <xsl:attribute name="onClick">
                                        javascript:setsourceregex('<xsl:value-of select="@esb_med_pos"/>');
                                    </xsl:attribute>
                            </input>
                            Source and Regular Expression
                        </td>
                    </tr>
                </table>
                <xsl:if test="@xpath or @set_xpath">
                    <xsl:if test="not(@set_src) or @set_src=0">
                        <table border="0" style="margin-left: 3em; width: 150px;">
                            <tbody>
                                <tr>
                                    <td>
                                       XPath<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                    </td>
                                    <td>
                                        <input type="text" size="40" id="filter_xpath"
                                               class="esb-edit">
                                            <xsl:attribute name="value">
                                                <xsl:value-of select="@xpath"/>
                                            </xsl:attribute>
                                        </input>
                                    </td>
                                    <td>
                                        <a title="Namespace Editor" class="ns_editor">
                                            <xsl:attribute name="onclick">
                                                    javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','');
                                            </xsl:attribute>
                                            <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                        </a>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <br/>
                    </xsl:if>
                </xsl:if>
                <xsl:if test="not(@xpath) or @set_src">
                    <xsl:if test="not(@set_xpath) or @set_xpath=0">
                        <table border="0" style="margin-left: 3em; width: 150px;">
                            <tbody>
                                <tr>
                                    <td>
                                        Source<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                    </td>
                                    <td>
                                        <input type="text" size="40" id="filter_src"
                                               class="esb-edit">
                                            <xsl:attribute name="value">
                                                <xsl:value-of select="@source"/>
                                            </xsl:attribute>
                                        </input>
                                    </td>
                                    <td>
                                        <a title="Namespace Editor" class="ns_editor">
                                            <xsl:attribute name="onclick">
                                                javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','');
                                            </xsl:attribute>
                                            <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                        </a>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                      Regex<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                    </td>
                                    <td>
                                        <input type="text" size="40" id="filter_regex"
                                               class="esb-edit">
                                            <xsl:attribute name="value">
                                                <xsl:value-of select="@regex"/>
                                            </xsl:attribute>
                                        </input>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                   </xsl:if>
                </xsl:if>
                <br/><br/>
                <xsl:if test="count(child::*)=0">
                    <xsl:call-template name="add_mediator_control">
                        <xsl:with-param name="head_pos"
                                        select="concat(concat(@esb_med_pos, '.'), count(child::*))"/>
                    </xsl:call-template>
                </xsl:if>
                <div class='indent'>
                    <xsl:apply-templates/>
                </div>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>