<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>
    <xsl:template match="syn:header" xmlns:syn="http://ws.apache.org/ns/synapse">
        <div id="header_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/header-mediator.gif"/>
                <xsl:text>Header Mediator</xsl:text>
            </label>
            <br/>
            <br/>
            <div id="header_edit" class="end-point-div">
                <br/>
                <table border="0" style="width: 600px;">
                    <tbody>
                        <tr>
                            <td colspan="2" style="width:100px;">
                                Name
                                <font style='color: red;font-size: 8pt;'>&#160;*</font>
                            </td>
                            <td colspan="2">
                                <input type="text" size="40" id="header_name"
                                       class="esb-edit">
                                    <xsl:attribute name="value">
                                        <xsl:value-of select="@name"/>
                                    </xsl:attribute>
                                </input>
                            </td>
                            <td style="text-align: left; width: 20px;">
                                <a title="Namespace Editor" class="ns_editor">
                                    <xsl:attribute name="onclick">
                                        javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','', 'true'); return false;
                                    </xsl:attribute>
                                    <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                </a>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <xsl:text>Action :</xsl:text>
                            </td>
                            <td/>
                            <td>
                                <input id="set" name="action" type="radio">
                                    <xsl:if test="@action = 'set' or not(@action = 'remove')">
                                        <xsl:attribute name="checked">
                                            true
                                        </xsl:attribute>
                                    </xsl:if>
                                    <xsl:attribute name="onClick">
                                        javascript: setRemoveState('set'); return false;
                                    </xsl:attribute>
                                </input>
                                Set
                            </td>
                            <td>
                                <input id="remove" name="action" type="radio">
                                    <xsl:if test="@action = 'remove'">
                                        <xsl:attribute name="checked">
                                            true
                                        </xsl:attribute>
                                    </xsl:if>
                                    <xsl:attribute name="onClick">
                                        javascript: setRemoveState('remove'); return false;
                                    </xsl:attribute>
                                </input>
                                Remove
                            </td>
                        </tr>
                        <xsl:if test="not(@action) or @action != 'remove'">
                            <tr>
                                <td>
                                    <input id="value" name="type" type="radio">
                                        <xsl:attribute name="onClick">
                                            javascript: setValue('<xsl:value-of select="@esb_med_pos"/>'); return false;
                                            <!--javascript:showNamespaceButton('<xsl:value-of select="@esb_med_pos"/>','','','namespaceButtonCell','false'); return false;-->
                                        </xsl:attribute>
                                        <xsl:if test="@value or not(@expression)">
                                            <xsl:attribute name="checked">
                                                true
                                            </xsl:attribute>
                                        </xsl:if>
                                    </input>
                                    Value<xsl:if test="@value or not(@expression)"><font style='color: red;font-size: 8pt;'>&#160;*</font></xsl:if>
                                </td>
                                <td>
                                    <input id="expression" name="type" type="radio" value="expression">
                                        <xsl:attribute name="onClick">
                                            javascript: setExpr('<xsl:value-of select="@esb_med_pos"/>'); return false;
                                            <!--javascript:showNamespaceButton('<xsl:value-of select="@esb_med_pos"/>','','','namespaceButtonCell','true');-->
                                        </xsl:attribute>
                                        <xsl:if test="@expression">
                                            <xsl:attribute name="checked">
                                                true
                                            </xsl:attribute>
                                        </xsl:if>
                                    </input>
                                    Expression<xsl:if test="@expression"><font style='color: red;font-size: 8pt;'>&#160;*</font></xsl:if>
                                </td>
                                <td colspan="2">
                                    <input type="text" size="40" id="header_valueorexpr_value"
                                           class="esb-edit">
                                        <xsl:attribute name="value">
                                            <xsl:if test="@value">
                                                <xsl:value-of select="@value"/>
                                            </xsl:if>
                                            <xsl:if test="@expression">
                                                <xsl:value-of select="@expression"/>
                                            </xsl:if>
                                        </xsl:attribute>
                                    </input>
                                </td>
                                <td id="namespaceButtonCell" align="left">
                                    <xsl:if test="@expression">
                                        <a title="Namespace Editor" class="ns_editor">
                                            <xsl:attribute name="onclick">
                                                javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>');
                                            </xsl:attribute>
                                            <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                        </a>
                                    </xsl:if>
                                </td>
                            </tr>
                        </xsl:if>
                    </tbody>
                </table>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>