<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="ns1:proxyDataResponse" xmlns:ns1="http://org.apache.synapse/xsd">

      <h2 id="moduleHeader"> Manage Proxy Services
          <img src="extensions/core/images/help.gif" alt=""
               onmouseover="showHelp(event,'proxyServiceHelpDiv')"
               onmouseout="hideHelp(event,'proxyServiceHelpDiv')"/>
      </h2><div id="proxyServiceHelpDiv"></div>
        
        <fieldset style="border:none;">
            <div id='formset'>
                <xsl:choose>
                        <xsl:when test="return">
                            <table class="styled">
                                <thead>
                                <tr>
                                    <th>Proxy Service Name</th>
                                    <th>Status</th>
                                    <th>View</th>
                                    <th>Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                <xsl:for-each select="return">
                                    <tr>
                                        <td>
                                            <xsl:element name="a">
                                                <xsl:attribute name="href">#</xsl:attribute>
                                                <xsl:attribute name="onClick">javascript:viewproxyservice('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                <xsl:value-of select="name"/>
                                            </xsl:element>
                                        </td>

                                        <td>
                                            <xsl:if test="running='true'">
                                                <font color='green'>Running</font>
                                            </xsl:if>
                                            <xsl:if test="running='false'">
                                                <font color="red">Stopped</font>
                                            </xsl:if>
                                        </td>
                                        <td style="width: 200px;">
                                            <xsl:if test="wsdlAvailabel='true'">
                                            <a>
                                                <xsl:attribute name="href">#</xsl:attribute>
                                                <xsl:attribute name="onClick">javascript:openWindow('<xsl:value-of select="name"/>?wsdl');return false;</xsl:attribute>
                                                <xsl:attribute name="target">_blank</xsl:attribute>
                                                <xsl:text>WSDL1.1</xsl:text>
                                             </a>
                                            <xsl:text>&#160;&#160;</xsl:text>
                                            <a>
                                                <xsl:attribute name="href">#</xsl:attribute>
                                                <xsl:attribute name="onClick">javascript:openWindow('<xsl:value-of select="name"/>?wsdl2');return false;</xsl:attribute>
                                                <xsl:attribute name="target">_blank</xsl:attribute>
                                                <xsl:text>WSDL2.0</xsl:text>
                                             </a>
                                             <xsl:text>&#160;&#160;</xsl:text>
                                             <a>
                                                 <xsl:attribute name="href">#</xsl:attribute>
                                                 <xsl:attribute name="onClick">javascript:openWindow('<xsl:value-of select="name"/>?xsd');return false;</xsl:attribute>
                                                 <xsl:attribute name="target">_blank</xsl:attribute>
                                                <xsl:text>Schema</xsl:text>
                                             </a>
                                             <xsl:text>&#160;&#160;&#160;</xsl:text>
                                            </xsl:if>
                                            <xsl:if test="policyAvailabel='true'">
                                             <a>
                                                <xsl:attribute name="href">#</xsl:attribute>
                                                <xsl:attribute name="onClick">javascript:openWindow('<xsl:value-of select="name"/>?policy');return false;</xsl:attribute>
                                                <xsl:attribute name="target">_blank</xsl:attribute>
                                                <xsl:text>Policy</xsl:text>
                                             </a>
                                            </xsl:if>

                                        </td>
                                        <td>
                                            <nobr>
                                                <a href="#" id="edit_link">
                                                    <xsl:attribute name="onClick">javascript:viewproxyservice('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Edit Proxy Service <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Edit Proxy Service <xsl:value-of select="name"/> </xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>

                                                <a href="#" id="delete_link">
                                                    <xsl:attribute name="onClick">javascript:deleteproxyservice('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Remove Proxy Service  <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Remove Proxy Service  <xsl:value-of select="name"/></xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>
                                                <xsl:if test="running='false'">
                                                    <a href="#" id="start_link">
                                                        <xsl:attribute name="onClick">javascript:startproxy('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                        <xsl:attribute name="title">Start Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                        <xsl:attribute name="alt">Start Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                        &#160;&#160;&#160;&#160;
                                                    </a>
                                                </xsl:if>
                                                <xsl:if test="running='true'">
                                                    <a href="#" id="stop_link">
                                                        <xsl:attribute name="onClick">javascript:stopproxy('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                        <xsl:attribute name="title">Stop Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                        <xsl:attribute name="alt">Stop Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                        &#160;&#160;&#160;&#160;
                                                    </a>
                                                </xsl:if>
                                                <xsl:if test="enableStatistics='true'">
                                                        <a href="#" id="statistic_disable">
                                                            <xsl:attribute name="onClick">javascript:disableproxystatistics('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                            <xsl:attribute name="title">Disable statistics for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            <xsl:attribute name="alt">Disable statistics for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            &#160;&#160;&#160;&#160;
                                                        </a>
                                                </xsl:if>
                                                <xsl:if test="enableStatistics='false'">
                                                        <a href="#" id="statistic_enable">
                                                            <xsl:attribute name="onClick">javascript:enableproxystatistics('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                            <xsl:attribute name="title">Enable statistics for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            <xsl:attribute name="alt">Enable statistics for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            &#160;&#160;&#160;&#160;
                                                        </a>
                                                </xsl:if>
                                                <xsl:if test="enableTracing='true'">
                                                        <a href="#" id="tracing_disable">
                                                            <xsl:attribute name="onClick">javascript:disableproxytracing('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                            <xsl:attribute name="title">Disable tracing for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            <xsl:attribute name="alt">Disable tracing for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            &#160;&#160;&#160;&#160;
                                                        </a>
                                                </xsl:if>
                                                <xsl:if test="enableTracing='false'">
                                                        <a href="#" id="tracing_enable">
                                                            <xsl:attribute name="onClick">javascript:enableproxytracing('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                            <xsl:attribute name="title">Enable tracing for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            <xsl:attribute name="alt">Enable tracing for Proxy Service <xsl:value-of select="name"/></xsl:attribute>
                                                            &#160;&#160;&#160;&#160;
                                                        </a>
                                                </xsl:if>

                                            </nobr>
                                        </td>
                                    </tr>

                                </xsl:for-each>
                            </tbody>
                            </table>
                    </xsl:when>
                    <xsl:otherwise>
                        <br/><i><font style='color: brown'>No Proxy Services are currently defined. Click 'Add' to define a new Proxy Service</font></i><br/><br/>
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <input type='button' class='panelbutton_default' value="Add" onclick="javascript:addproxyservice();return false;"/>
        </fieldset>
    </xsl:template>
 </xsl:stylesheet>
