<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        
        <label class="content-header">
            <img src="extensions/core/images/miscellaneous-configuration.gif"/>
            <xsl:text> Miscellaneous configuration</xsl:text>
        </label>
        <!--<label class="content-description">-->
            <!--<img src="extensions/core/images/miscellaneous-configuration.gif"/>-->
            <!--Configure miscellaneous options for the proxy service.-->
        <!--</label>-->
        <br/>
        <br/>

        <label style="margin-left: 15px; width: 250px; _width:135px;">Publishing WSDL</label>
        <xsl:choose>
            <xsl:when test="syn:publishWSDL">
                <xsl:choose>
                    <xsl:when test="syn:publishWSDL/@key">
                        <img style="left:340px; position:absolute;" src="extensions/core/images/dropdown_m.gif">
                            <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,'key'); return false;</xsl:attribute>
                        </img>
                        <br/><br/>
                        <label style="margin-left:50px;">Reference key</label>
                        <input id="wsdl_ref" style="margin-left: 50px;" type="text" size="20" class="esb-edit_disabled">
                            <xsl:attribute name="DISABLED"/>
                            <xsl:attribute name="value"><xsl:value-of select="syn:publishWSDL/@key"/></xsl:attribute>
                        </input>
                        <img style="margin-left: 3em;" src="extensions/core/images/registry_picker.gif"
                            title="Registry Browser" onclick="javascript:proxywsdlfromregistry();return false;"/>
                    </xsl:when>
                    <xsl:when test="syn:publishWSDL/@uri">
                        <img style="left:340px; position:absolute;" src="extensions/core/images/dropdown_m.gif">
                            <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,'uri'); return false;</xsl:attribute>
                        </img>
                        <br/><br/>
                        <div id="wsdl_div" style="margin-left:50px;">
                            <label style="width:150px;">Source URL</label>
                            <input type="text" id="wsdl_uri" class="esb-edit" style="margin-left:50px;">
                                <xsl:attribute name="value"><xsl:value-of select="syn:publishWSDL/@uri"/></xsl:attribute>
                            </input>
                        </div>
                    </xsl:when>
                    <xsl:otherwise>
                        <img style="left:340px; position:absolute;" src="extensions/core/images/dropdown_m.gif">
                            <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,'inline'); return false;</xsl:attribute>
                        </img>
                        <br/><br/><div id="wsdl_div" style="margin-left:50px;">Specified as inline <img src="extensions/core/images/edit.gif" onclick="javascript: showproxywsdl(); return false;"/></div>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                <img style="left:340px; position:absolute;" src="extensions/core/images/dropdown_m.gif">
                    <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,''); return false;</xsl:attribute>
                </img>
                <br/><br/><div id="wsdl_div" style="margin-left:50px;"></div>
            </xsl:otherwise>
        </xsl:choose>

        <br/><br/>
        <label style="margin-left: 15px; width: 250px; _width:135px;">Load service on startup</label>
        <label style="_margin-left: -20px;margin-left:185px;">
            <xsl:choose>
                <xsl:when test="@startOnLoad != 'true'">
                    <input type="checkbox" id="startOnLoad"/>
                </xsl:when>
                <xsl:otherwise>
                    <input type="checkbox" id="startOnLoad" checked="true"/>
                </xsl:otherwise>
            </xsl:choose>
        </label><br/><br/>
    </xsl:template>

</xsl:stylesheet>