<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        
        <label class="content-header">
            <img src="extensions/core/images/transport-configuration.gif"/>
            <xsl:text> Transport configuration</xsl:text>
        </label>
        <!--<label class="content-description">-->
            <!--Select and configure the transports on which the proxy service should be exposed. The available list of transports-->
            <!--are the transports which are configured for the installation. Transport specific service parameters could be used-->
            <!--to specify JMS destinations etc.-->
        <!--</label>-->
        <br/>
        <br/>
        <table>
            <tbody>
                <xsl:choose>
                    <xsl:when test="@transports">
                        <xsl:call-template name="transport_td">
                            <xsl:with-param name="a_tp_string" select="@a_tp"/>
                            <xsl:with-param name="tp_string" select="@transports"/>
                        </xsl:call-template>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:call-template name="transport_td">
                            <xsl:with-param name="a_tp_string" select="@a_tp"/>
                            <xsl:with-param name="tp_string" select="@a_tp"/>
                        </xsl:call-template>
                    </xsl:otherwise>
                </xsl:choose>
            </tbody>
        </table>

        <p>Service Parameters</p><br/>
        <xsl:if test="syn:parameter">
            <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
                <thead>
                    <tr><th>Parameter Name</th><th>Parameter Value</th><th>Actions</th></tr>
                </thead>
                <tbody>
                    <xsl:for-each select="syn:parameter">
                        <tr>
                            <td>
                                <input type="text" name="param_name" class="esb-edit">
                                    <xsl:attribute name="value">
                                        <xsl:value-of select="@name"/>
                                    </xsl:attribute>
                                </input>
                            </td>
                            <td>
                                <input type="text" name="param_value" class="esb-edit">
                                    <xsl:attribute name="value">
                                        <xsl:value-of select="."/>
                                    </xsl:attribute>
                                </input>
                            </td>
                            <td>
                                <a href="#" id="delete_link"><xsl:attribute name="onclick">
                                    javascript: deleteproxyparameter('<xsl:value-of select="@index"/>'); return false;
                                </xsl:attribute>&#160;&#160;&#160;&#160;</a>
                            </td>
                        </tr>
                    </xsl:for-each>
                </tbody>
            </table>
            </div>
        </xsl:if>
        <input type="button" class='panelbutton_default' onclick="javascript:addserviceparameter(); return false;" value="Add"/><br/>

    </xsl:template>

    <xsl:template name="transport_td">

        <xsl:param name="a_tp_string"/>
        <xsl:param name="tp_string"/>

        <xsl:choose>
            <xsl:when test="substring-before($a_tp_string, ' ') != ''">
                <tr>
                    <td style="margin-left: 15px; width:250px; _width:280px; _width:280px;" align="left"><xsl:value-of select="translate(substring-before($a_tp_string, ' '), 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/></td>
                    <td style="margin-left: 60px;" align="left">
                        <xsl:call-template name="tp_checkbox">
                            <xsl:with-param name="a_tp_string" select="$a_tp_string"/>
                            <xsl:with-param name="tp_string" select="$tp_string"/>
                        </xsl:call-template>
                    </td>
                </tr>
                <xsl:call-template name="transport_td">
                    <xsl:with-param name="a_tp_string" select="substring-after($a_tp_string, ' ')"/>
                    <xsl:with-param name="tp_string" select="$tp_string"/> 
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:if test="$a_tp_string != ''">
                    <tr>
                        <td style="margin-left: 15px; width:250px; _width:280px; _width:280px;" align="left"><xsl:value-of select="translate(substring-before($a_tp_string, ' '), 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/></td>
                        <td style="margin-left: 60px;" align="left">
                            <xsl:call-template name="tp_checkbox">
                                <xsl:with-param name="a_tp_string" select="$a_tp_string"/>
                                <xsl:with-param name="tp_string" select="$tp_string"/>
                            </xsl:call-template>
                        </td>
                    </tr>
                </xsl:if>
            </xsl:otherwise>
        </xsl:choose>

    </xsl:template>

    <xsl:template name="tp_checkbox">

        <xsl:param name="a_tp_string"/>
        <xsl:param name="tp_string"/>

        <xsl:choose>
            <xsl:when test="contains(concat($tp_string, ' '), concat(substring-before($a_tp_string, ' '), ' '))">
                <input type="checkbox" name="proxy_transport" checked="true">
                    <xsl:attribute name="value">
                        <xsl:value-of select="substring-before($a_tp_string, ' ')"/>
                    </xsl:attribute>
                </input>
            </xsl:when>
            <xsl:otherwise>
                <input type="checkbox" name="proxy_transport">
                    <xsl:attribute name="value">
                        <xsl:value-of select="substring-before($a_tp_string, ' ')"/>
                    </xsl:attribute>
                </input>
            </xsl:otherwise>
        </xsl:choose>
        
    </xsl:template>

</xsl:stylesheet>