<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <xsl:template match="*">

        <h2>WSO2 Enterprise Service Bus (ESB) - Home</h2>
        <div id="formset">
            <h3 class="static_table_headding"> Server Information
                <img src="extensions/core/images/help.gif" alt=""
                     onmouseover="showHelp(event,'serverInfoHelpDiv')"
                     onmouseout="hideHelp(event,'serverInfoHelpDiv')"/>
            </h3><div id="serverInfoHelpDiv" class="helptip"></div>
            <table cellpadding="0" cellspacing="0" border="0" id="helpTopTable">
                <xsl:for-each select="return">
                    <tr>
                        <td class="helpTopTable_td_left">
                            Server Name
                        </td>
                        <td>
                            <xsl:value-of select="serverName"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="helpTopTable_td_left">
                            Server Start Time
                        </td>
                        <td>
                            <xsl:value-of select="serverStartTime"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="helpTopTable_td_left">
                            System Up Time
                        </td>
                        <td>
                            <xsl:value-of select="systemUpTime"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="helpTopTable_td_left">
                            Free Memory (JVM)
                        </td>
                        <td>
                            <xsl:value-of select="freeMemory"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="helpTopTable_td_left">
                            Total Memory (JVM)
                        </td>
                        <td>
                            <xsl:value-of select="totalMemory"/>
                        </td>
                    </tr>
                </xsl:for-each>
            </table>
        </div>
        <div id="homeText" style="width:980px; _width:760px; text-align:justify;">
              <span>
                  The WSO2 ESB is a smart engine for managing, monitoring, routing and transforming
                  interactions on your services network. It is based on the <a target="_blank"
                  href="http://ws.apache.org/synapse">Apache Synapse</a> project.
                  The management console allows you to configure the message and service mediations
                  through a simple web-based interface. If you are new to the WSO2 ESB and/or Apache
                  Synapse, please take a look at the <a target="_blank" href="/docs/ESB_QuickStart.html">
                  Quick Start Guide</a> for more information.
              </span>
              <br/><br/>
              <span>The management console allows you to define:</span>
              <ul style="position:relative;margin-left:210px;_margin-left:-10px;margin-bottom:10px;">
                    <li class="subTitle">Endpoints</li>
                    <li>
                        These specify a destination for a message. This can be a URL-based address,
                        an existing WSDL document, or a collection of load-balanced and/or failover endpoints.
                    </li>
                    <li class="subTitle">Sequences</li>
                    <li>Sequences are named, re-usable lists of actions, which are executed in-order
                        on the message. There are two global sequences - <b>main</b> and <b>fault</b>.
                    </li>
                    <li class="subTitle">Registries</li>
                    <li>There are two registries, which are used to store and define any resources
                        needed by the configuration, including XMLs, WSDLs, Scripts, Policies. The
                        <b>Local Registry</b> is a simple list of items embedded in the main
                        configuration file and this is static. The <b>Integrated Registry</b> is a
                        more powerful implementation that allows resources to be stored and
                        retrieved dynamically. The Local Registry takes precedence.
                    </li>
                    <li class="subTitle">Proxy Services</li>
                    <li>
                        Proxy services define new endpoints and listeners hosted on the ESB, that are
                        able to accept requests, mediate them and deliver them to the actual
                        services. Proxy services provide the simplest way to mediate using the ESB.
                        Proxy services let you do two main things. Firstly, you can define
                        transports and transport level policies such as Reliable Messaging and
                        Security. Secondly, you can specify a sequence of mediation to happen to any
                        messages that come to the proxy service, before sending to the target endpoint.
                    </li>
                    <br/>
                    <span>The WSO2 ESB console also offers a simple way to view system information
                        and statistics, as well as viewing system logs and traces.</span>
               </ul>
            </div>
    </xsl:template>
</xsl:stylesheet>
